---
title: PhotoCapabilities.imageHeight
slug: Web/API/PhotoCapabilities/imageHeight
tags:
  - API
  - Experimental
  - Image
  - Image Capture
  - Media
  - MediaStream Image Capture API
  - PhotoCapabilities
  - Property
  - Reference
---
<p>{{SeeCompatTable}}{{APIRef("MediaStream Image")}}</p>

<p>The <strong><code>imageHeight</code></strong> read-only property of the {{domxref("PhotoCapabilities")}} interface returns a {{domxref("MediaSettingsRange")}} object indicating the image height range supported by the user agent.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>mediaSettingsRange</em> = <em>photoCapabilities</em>.imageHeight</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("MediaSettingsRange")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('MediaStream Image','#dom-photocapabilities-imageheight','imageHeight')}}</td>
   <td>{{Spec2('MediaStream Image')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PhotoCapabilities.imageHeight")}}</p>
</div>
